#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define oname milou

Name:           plasma-applet-milou
Summary:        Search application built on top of Baloo
Version:        0.1
Release:        %mkrel 1
Group:          Graphical desktop/KDE4
License:        GPLv2 and LGPLv2.1
URL:            https://projects.kde.org/projects/kde/workspace/milou
Source0:        http://download.kde.org/unstable/%{name}/%{version}/src/%{oname}-%{version}.tar.xz

BuildRequires:  kdelibs-devel
BuildRequires:  baloo-devel
BuildRequires:  kfilemetadata-devel
BuildRequires:  kde-pimlibs-devel

%description
A dedicated search application built on top of Baloo



%files -f plasma_applet_milou_applet.lang
%defattr(-,root,root)
%doc COPYING COPYING.LIB
%{_kde_libdir}/kde4/imports/org/kde/milou
%{_kde_libdir}/kde4/milouapplicationplugin.so
%{_kde_libdir}/kde4/milouaudioplugin.so
%{_kde_libdir}/kde4/miloubookmarkplugin.so
%{_kde_libdir}/kde4/milouemailplugin.so
%{_kde_libdir}/kde4/miloufileplugin.so
%{_kde_libdir}/kde4/milouimageplugin.so
%{_kde_libdir}/kde4/miloutextplugin.so
%{_kde_datadir}/kde4/services/milouapplicationpreview.desktop
%{_kde_datadir}/kde4/services/milouaudiopreview.desktop
%{_kde_datadir}/kde4/services/miloubookmarkpreview.desktop
%{_kde_datadir}/kde4/services/milouemailpreview.desktop
%{_kde_datadir}/kde4/services/miloufilepreview.desktop
%{_kde_datadir}/kde4/services/milouimagepreview.desktop
%{_kde_datadir}/kde4/services/miloutextpreview.desktop
%{_kde_datadir}/kde4/servicetypes/miloupreviewplugin.desktop
%_kde_libdir/kde4/milou_applet.so

%_kde_appsdir/plasma/plasmoids/org.kde.milou
%_kde_services/plasma-applet-milou.desktop

%{_kde_libdir}/libmilou.so.*

#------------------------------------------------------------------------------

%prep
%setup -qn %oname-%version
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

#dont package developement library
rm -f %buildroot/%_kde_libdir/libmilou.so

%find_lang plasma_applet_milou_applet

%changelog
